"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BicepResourceVersionIndex = void 0;
const zod_1 = require("zod");
exports.BicepResourceVersionIndex = zod_1.z
    .object({
    Resources: zod_1.z.record(zod_1.z.string(), zod_1.z.object({
        RelativePath: zod_1.z.string(),
        Index: zod_1.z.number(),
    })),
    Functions: zod_1.z.record(zod_1.z.string(), zod_1.z.record(zod_1.z.string(), zod_1.z.array(zod_1.z.object({
        RelativePath: zod_1.z.string(),
        Index: zod_1.z.number(),
    })))),
})
    .transform(({ Resources, Functions }) => {
    const releaseMap = new Map();
    for (const resourceReference of Object.keys(Resources)) {
        const [type, version] = resourceReference.toLowerCase().split('@', 2);
        const versions = releaseMap.get(type) ?? [];
        versions.push(version);
        releaseMap.set(type, versions);
    }
    for (const [type, versionMap] of Object.entries(Functions)) {
        const versions = Object.keys(versionMap);
        releaseMap.set(type, versions);
    }
    return Object.fromEntries(releaseMap);
});
//# sourceMappingURL=schema.js.map