import { z } from 'zod';
export declare const CommitSchema: z.ZodObject<{
    sha: z.ZodString;
}, "strip", z.ZodTypeAny, {
    sha: string;
}, {
    sha: string;
}>;
export declare const CommitsSchema: z.ZodArray<z.ZodObject<{
    sha: z.ZodString;
}, "strip", z.ZodTypeAny, {
    sha: string;
}, {
    sha: string;
}>, "many">;
export declare const TagSchema: z.ZodObject<{
    name: z.ZodString;
    commit: z.ZodObject<{
        sha: z.ZodString;
        created: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        created: string;
        sha: string;
    }, {
        created: string;
        sha: string;
    }>;
}, "strip", z.ZodTypeAny, {
    name: string;
    commit: {
        created: string;
        sha: string;
    };
}, {
    name: string;
    commit: {
        created: string;
        sha: string;
    };
}>;
export declare const TagsSchema: z.ZodArray<z.ZodObject<{
    name: z.ZodString;
    commit: z.ZodObject<{
        sha: z.ZodString;
        created: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        created: string;
        sha: string;
    }, {
        created: string;
        sha: string;
    }>;
}, "strip", z.ZodTypeAny, {
    name: string;
    commit: {
        created: string;
        sha: string;
    };
}, {
    name: string;
    commit: {
        created: string;
        sha: string;
    };
}>, "many">;
