"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RubygemsHttp = void 0;
const http_1 = require("../../../util/http");
const throttle_1 = require("../../../util/http/throttle");
const url_1 = require("../../../util/url");
class RubygemsHttp extends http_1.Http {
    getThrottle(url) {
        const host = (0, url_1.parseUrl)(url)?.host;
        if (host === 'rubygems.org') {
            // rubygems.org has a rate limit of 10 per second, so we use a more conservative 8
            // See: https://guides.rubygems.org/rubygems-org-rate-limits/
            const intervalMs = 125;
            return new throttle_1.Throttle(intervalMs);
        }
        return super.getThrottle(url);
    }
}
exports.RubygemsHttp = RubygemsHttp;
//# sourceMappingURL=http.js.map