import type { PackageDependency } from '../types';
/**
 * Replaces GitLab reference tags before parsing, because our yaml parser cannot process them anyway.
 * @param content pipeline yaml
 * @returns replaced pipeline content
 * https://docs.gitlab.com/ee/ci/yaml/#reference-tags
 */
export declare function replaceReferenceTags(content: string): string;
/**
 * Get image dependencies respecting Gitlab Dependency Proxy
 * @param imageName as used in .gitlab-ci.yml file
 * @return package dependency for the image
 */
export declare function getGitlabDep(imageName: string, registryAliases?: Record<string, string>): PackageDependency;
