import { z } from 'zod';
export declare const RepositorySchema: z.ZodObject<{
    name: z.ZodString;
    url: z.ZodString;
    oci: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    url: string;
    name: string;
    oci?: boolean | undefined;
}, {
    url: string;
    name: string;
    oci?: boolean | undefined;
}>;
export declare const ReleaseSchema: z.ZodObject<{
    name: z.ZodString;
    chart: z.ZodString;
    version: z.ZodString;
    strategicMergePatches: z.ZodOptional<z.ZodUnknown>;
    jsonPatches: z.ZodOptional<z.ZodUnknown>;
    transformers: z.ZodOptional<z.ZodUnknown>;
}, "strip", z.ZodTypeAny, {
    name: string;
    version: string;
    chart: string;
    strategicMergePatches?: unknown;
    jsonPatches?: unknown;
    transformers?: unknown;
}, {
    name: string;
    version: string;
    chart: string;
    strategicMergePatches?: unknown;
    jsonPatches?: unknown;
    transformers?: unknown;
}>;
export declare const DocSchema: z.ZodObject<{
    releases: z.ZodOptional<z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        chart: z.ZodString;
        version: z.ZodString;
        strategicMergePatches: z.ZodOptional<z.ZodUnknown>;
        jsonPatches: z.ZodOptional<z.ZodUnknown>;
        transformers: z.ZodOptional<z.ZodUnknown>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        version: string;
        chart: string;
        strategicMergePatches?: unknown;
        jsonPatches?: unknown;
        transformers?: unknown;
    }, {
        name: string;
        version: string;
        chart: string;
        strategicMergePatches?: unknown;
        jsonPatches?: unknown;
        transformers?: unknown;
    }>, "many">>;
    repositories: z.ZodOptional<z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        url: z.ZodString;
        oci: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        url: string;
        name: string;
        oci?: boolean | undefined;
    }, {
        url: string;
        name: string;
        oci?: boolean | undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    releases?: {
        name: string;
        version: string;
        chart: string;
        strategicMergePatches?: unknown;
        jsonPatches?: unknown;
        transformers?: unknown;
    }[] | undefined;
    repositories?: {
        url: string;
        name: string;
        oci?: boolean | undefined;
    }[] | undefined;
}, {
    releases?: {
        name: string;
        version: string;
        chart: string;
        strategicMergePatches?: unknown;
        jsonPatches?: unknown;
        transformers?: unknown;
    }[] | undefined;
    repositories?: {
        url: string;
        name: string;
        oci?: boolean | undefined;
    }[] | undefined;
}>;
export declare const LockSchema: z.ZodObject<{
    version: z.ZodString;
}, "strip", z.ZodTypeAny, {
    version: string;
}, {
    version: string;
}>;
