"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LockSchema = exports.DocSchema = exports.ReleaseSchema = exports.RepositorySchema = void 0;
const zod_1 = require("zod");
exports.RepositorySchema = zod_1.z.object({
    name: zod_1.z.string(),
    url: zod_1.z.string(),
    oci: zod_1.z.boolean().optional(),
});
exports.ReleaseSchema = zod_1.z.object({
    name: zod_1.z.string(),
    chart: zod_1.z.string(),
    version: zod_1.z.string(),
    strategicMergePatches: zod_1.z.unknown().optional(),
    jsonPatches: zod_1.z.unknown().optional(),
    transformers: zod_1.z.unknown().optional(),
});
exports.DocSchema = zod_1.z.object({
    releases: zod_1.z.array(exports.ReleaseSchema).optional(),
    repositories: zod_1.z.array(exports.RepositorySchema).optional(),
});
exports.LockSchema = zod_1.z.object({
    version: zod_1.z.string(),
});
//# sourceMappingURL=schema.js.map