import type { Doc, Lock, Release, Repository } from './types';
/** Returns true if a helmfile release contains kustomize specific keys **/
export declare function kustomizationsKeysUsed(release: Release): boolean;
/** Returns true if a helmfile release uses a local chart with a kustomization.yaml file **/
export declare function localChartHasKustomizationsYaml(release: Release, helmFileYamlFileName: string): Promise<boolean>;
export declare function parseDoc(packageFileContent: string): Doc;
export declare function parseLock(lockFileContent: string): Lock;
export declare function isOCIRegistry(repository: Repository): boolean;
export declare function generateRegistryLoginCmd(repositoryName: string, repositoryBaseURL: string, repositoryHost: string): string | null;
