import type { UpdateArtifact, UpdateArtifactsResult } from '../types';
export declare function updateArtifacts({ packageFileName, newPackageFileContent, updatedDeps, config, }: UpdateArtifact): Promise<UpdateArtifactsResult[] | null>;
/**
 * Find compatible java version for maven.
 * see https://maven.apache.org/developers/compatibility-plan.html
 * @param mavenWrapperVersion current maven version
 * @returns A Java semver range
 */
export declare function getJavaConstraint(mavenWrapperVersion: string | null | undefined): string | null;
