import { z } from 'zod';
export type PyProject = z.infer<typeof PyProjectSchema>;
export declare const PyProjectSchema: z.ZodObject<{
    project: z.ZodOptional<z.ZodObject<{
        'requires-python': z.ZodOptional<z.ZodString>;
        dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        'optional-dependencies': z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
    }, "strip", z.ZodTypeAny, {
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    }, {
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    }>>;
    tool: z.ZodOptional<z.ZodObject<{
        pdm: z.ZodOptional<z.ZodObject<{
            'dev-dependencies': z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
            source: z.ZodOptional<z.ZodArray<z.ZodObject<{
                url: z.ZodString;
                name: z.ZodString;
                verify_ssl: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }, {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        }, {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
    }, {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    project?: {
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    } | undefined;
    tool?: {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
    } | undefined;
}, {
    project?: {
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    } | undefined;
    tool?: {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
    } | undefined;
}>;
