import { z } from 'zod';
export declare const PubspecSchema: z.ZodObject<{
    environment: z.ZodObject<{
        sdk: z.ZodString;
        flutter: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        sdk: string;
        flutter?: string | undefined;
    }, {
        sdk: string;
        flutter?: string | undefined;
    }>;
    dependencies: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }>, Record<string, any>>>;
    dev_dependencies: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }>, Record<string, any>>>;
}, "strip", z.ZodTypeAny, {
    environment: {
        sdk: string;
        flutter?: string | undefined;
    };
    dependencies?: Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }> | undefined;
    dev_dependencies?: Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }> | undefined;
}, {
    environment: {
        sdk: string;
        flutter?: string | undefined;
    };
    dependencies?: Record<string, any> | undefined;
    dev_dependencies?: Record<string, any> | undefined;
}>;
export type PubspecSchema = z.infer<typeof PubspecSchema>;
export declare const PubspecYaml: z.ZodPipeline<z.ZodEffects<z.ZodString, string | number | boolean | import("type-fest").JsonObject | import("type-fest").JsonValue[] | readonly import("type-fest").JsonValue[] | null, string>, z.ZodObject<{
    environment: z.ZodObject<{
        sdk: z.ZodString;
        flutter: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        sdk: string;
        flutter?: string | undefined;
    }, {
        sdk: string;
        flutter?: string | undefined;
    }>;
    dependencies: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }>, Record<string, any>>>;
    dev_dependencies: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }>, Record<string, any>>>;
}, "strip", z.ZodTypeAny, {
    environment: {
        sdk: string;
        flutter?: string | undefined;
    };
    dependencies?: Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }> | undefined;
    dev_dependencies?: Record<string, string | {
        version?: string | undefined;
        path?: string | undefined;
    }> | undefined;
}, {
    environment: {
        sdk: string;
        flutter?: string | undefined;
    };
    dependencies?: Record<string, any> | undefined;
    dev_dependencies?: Record<string, any> | undefined;
}>>;
export declare const PubspecLockSchema: z.ZodObject<{
    sdks: z.ZodObject<{
        dart: z.ZodString;
        flutter: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        dart: string;
        flutter?: string | undefined;
    }, {
        dart: string;
        flutter?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    sdks: {
        dart: string;
        flutter?: string | undefined;
    };
}, {
    sdks: {
        dart: string;
        flutter?: string | undefined;
    };
}>;
export type PubspecLockSchema = z.infer<typeof PubspecLockSchema>;
export declare const PubspecLockYaml: z.ZodPipeline<z.ZodEffects<z.ZodString, string | number | boolean | import("type-fest").JsonObject | import("type-fest").JsonValue[] | readonly import("type-fest").JsonValue[] | null, string>, z.ZodObject<{
    sdks: z.ZodObject<{
        dart: z.ZodString;
        flutter: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        dart: string;
        flutter?: string | undefined;
    }, {
        dart: string;
        flutter?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    sdks: {
        dart: string;
        flutter?: string | undefined;
    };
}, {
    sdks: {
        dart: string;
        flutter?: string | undefined;
    };
}>>;
