"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PagedSourceResultsSchema = void 0;
const zod_1 = require("zod");
const BitbucketSourceTypeSchema = zod_1.z.enum(['commit_directory', 'commit_file']);
const SourceResultsSchema = zod_1.z.object({
    path: zod_1.z.string(),
    type: BitbucketSourceTypeSchema,
    commit: zod_1.z.object({
        hash: zod_1.z.string(),
    }),
});
const PagedSchema = zod_1.z.object({
    page: zod_1.z.number().optional(),
    pagelen: zod_1.z.number(),
    size: zod_1.z.number().optional(),
    next: zod_1.z.string().optional(),
});
exports.PagedSourceResultsSchema = PagedSchema.extend({
    values: zod_1.z.array(SourceResultsSchema),
});
//# sourceMappingURL=schema.js.map