"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFilteredRange = exports.getExcludedVersions = exports.isVersioningApiConstructor = void 0;
const regex_1 = require("../../util/regex");
function isVersioningApiConstructor(obj) {
    return typeof obj === 'function';
}
exports.isVersioningApiConstructor = isVersioningApiConstructor;
function getExcludedVersions(range) {
    return range
        .split(',')
        .map((v) => v.trim())
        .filter((version) => (0, regex_1.regEx)(/^!=/).test(version))
        .map((version) => version.replace('!=', '').trim());
}
exports.getExcludedVersions = getExcludedVersions;
function getFilteredRange(range) {
    return range
        .split(',')
        .map((v) => v.trim())
        .filter((version) => !(0, regex_1.regEx)(/^!=/).test(version))
        .join(',');
}
exports.getFilteredRange = getFilteredRange;
//# sourceMappingURL=common.js.map