import type { HostRule } from '../../types';
import type { GotOptions } from './types';
export type HostRulesGotOptions = Pick<GotOptions, 'hostType' | 'url' | 'noAuth' | 'headers' | 'token' | 'username' | 'password' | 'context' | 'enabled' | 'abortOnError' | 'abortIgnoreStatusCodes' | 'timeout' | 'lookup' | 'agent' | 'http2'>;
export declare function findMatchingRules<GotOptions extends HostRulesGotOptions>(options: GotOptions, url: string): HostRule;
export declare function applyHostRules<GotOptions extends HostRulesGotOptions>(url: string, inOptions: GotOptions): GotOptions;
export declare function getConcurrentRequestsLimit(url: string): number | null;
export declare function getThrottleIntervalMs(url: string): number | null;
