"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepNameMatcher = void 0;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
const base_1 = require("./base");
class DepNameMatcher extends base_1.Matcher {
    matches({ depName }, { matchDepNames }) {
        if (is_1.default.undefined(matchDepNames)) {
            return null;
        }
        if (is_1.default.undefined(depName)) {
            return false;
        }
        return matchDepNames.includes(depName);
    }
    excludes({ depName }, { excludeDepNames }) {
        if (is_1.default.undefined(excludeDepNames)) {
            return null;
        }
        if (is_1.default.undefined(depName)) {
            return false;
        }
        return excludeDepNames.includes(depName);
    }
}
exports.DepNameMatcher = DepNameMatcher;
//# sourceMappingURL=dep-names.js.map