"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceUrlPrefixesMatcher = void 0;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
const base_1 = require("./base");
class SourceUrlPrefixesMatcher extends base_1.Matcher {
    matches({ sourceUrl }, { matchSourceUrlPrefixes }) {
        if (is_1.default.undefined(matchSourceUrlPrefixes)) {
            return null;
        }
        if (is_1.default.undefined(sourceUrl)) {
            return false;
        }
        const upperCaseSourceUrl = sourceUrl?.toUpperCase();
        return matchSourceUrlPrefixes.some((prefix) => upperCaseSourceUrl?.startsWith(prefix.toUpperCase()));
    }
}
exports.SourceUrlPrefixesMatcher = SourceUrlPrefixesMatcher;
//# sourceMappingURL=sourceurl-prefixes.js.map